# Interface methods for submodule: PermuteAxesImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: PermuteAxesImageFilter
class PermuteAxesImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetOrder(self, order: Sequence[int]) -> None:
		""""""
		...

	def GetOrder(self) -> Sequence[int]:
		""""""
		...

	def GetInverseOrder(self) -> Sequence[int]:
		""""""
		...

